import java.applet.Applet;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.Writer;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import quadbase.common.param.HtmlParameterPageWriter;
import quadbase.common.param.ParameterPage;
import quadbase.reportdesigner.ReportAPI.QbReport;


public class HTMLParamPage extends HttpServlet{
	static final long serialVersionUID = 1; 	
	public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {

		res.setContentType("text/html");

		OutputStream toClient = res.getOutputStream();
		try {
			QbReport.setEspressManagerUsed(false);
			// Change the path to absolute path to the HTMLParamPage.rpt file, or relative path to the <InstallDir> directory.
			String reportLocation = "HTMLParamPage.rpt";
//			Create the ObReport object using back-up data
			QbReport report = new QbReport((Applet)null, reportLocation, false, false, false, true, false);

//			Specify the parameters for connecting to ParamReportGeneratorServlet
			report.setDynamicExport(true, "127.0.0.1", 8080);

//			Specify report template location and export format desired
			ParameterPage paramPage = report.getParameterPage(reportLocation, null, QbReport.DHTML, null);
			Writer writer = new PrintWriter(toClient);
			HtmlParameterPageWriter paramPageWriter = new HtmlParameterPageWriter(paramPage, writer);
			paramPageWriter.writePage();
			writer.flush();
			writer.close();
		} catch(Exception e) {
			e.printStackTrace();
		}
		toClient.flush();
		toClient.close();


	}
}
